/* Ellipse_4.pde

Written by: Marvin C. Jones and Richard (Rick) G. Freedman

Now it is time to look at programming computer animation.  It is important
to determine how quickly you want to draw shapes to show movement.  We call this
the framerate.
*/

void setup()
{
  //Set the window's size to 500 pixels wide and 300 pixels tall
  size(500, 300);
  
  //This determines how many times draw() is performed each second
  //  It is like how fast you flip to the next page of a flipbook for animation
  //  The usual rate is 30 times per second and cartoon shows usually have 24 
  //  frames per second, but we will go slower at 5 frames per second.
  frameRate(5);
}

void draw()
{
  //This will erase everything currently drawn in the pop-up window
  clear();

  //Use the color purple when drawing shapes to the screen   
  fill(125,0,125);
  //We will draw a circle at the mouse's location (when draw is performed)
  //  Because the frame rate is now slower (it is usually 30 times per second!),
  //  the mouse may move faster than the circle sometimes
  ellipse(mouseX, mouseY, 50, 50);  
}
