/* Ellipse_8.pde

Written by: Marvin C. Jones and Richard (Rick) G. Freedman

The simple animation programmed in Elipse_7.pde moved the circles outside the 
window!  We will learn how to use conditions such as if statements to keep the 
circles on the screen now.
*/

//We declare the variables we will use in the program at the beginning
//The variable named arrayList stores a list (called an array []) of integers (int)
int[] arrayList;
//The variables called x and y each store an integer (int)
int x;
int y;

//We will use a variable called counter to count which item in the list we will 
//  use for the next movement in the animation
int counter;

void setup()
{
  //Set the window's size to 500 pixels wide and 300 pixels tall
  size(500, 300);
  //Perform draw() five times per second
  frameRate(5);

  //The equals sign (=) tells the program to store a value in a variable
  //  The array needs to know how many numbers are in its list - let's use 5
  arrayList = new int[5];

  //Now we can store a value at each item in this list
  //  Notice that the brackets are now on the side with the name of the array
  //NOTE: We begin counting items in an array at 0 instead of 1
  arrayList[0] = -10;
  arrayList[1] = 40;
  arrayList[2] = -50;
  arrayList[3] = 20;
  arrayList[4] = 80; 

  //We will begin the counter at the first item in the array
  counter = 0;

  //We will store the number 100 in each variable x and y
  x = 100;
  y = 100;
}

void draw()
{
  //This will erase everything currently drawn in the pop-up window
  clear();
  
  //Use the color purple when drawing shapes on the screen
  fill(125,0,125);
  //We will draw a circle at the location according to the values stored by our 
  //  variables (we set x and y in setup(), but now we change them at the end of 
  //  draw())
  ellipse(x, y, 50, 50);  

  //Use the counter-th value in the list to change the values of x and y
  //  This will change the circle's position when draw() is performed next time
  x = x + arrayList[counter];
  y = y + arrayList[counter];

  //Move to the next item in the list (we combine the two steps from Ellipse_7.pde)
  counter = (counter + 1) % 5;

  //If the current value of x (after the change) is less than 0, then the center
  //  of the circle will appear to the left of the left-edge of the window 
  //  (moving in the direction outside the window)
  if(x < 0)
  {
    //So we will place the center of circle on the left-edge of the window to 
    //  keep it inside the drawing region
    x = 0;
  }
  //If the current value of x (after the change) is not less than 0, then we check 
  //  whether it is greater than 500 which would place the center of the circle 
  //  to the right of the right-edge of the window (also moving outside)
  else if(x > 500)
  {
    //In this case, we will place the center of the circle on the right-edge of 
    //  the window to keep it inside the drawing region
    x = 500;
  }

  //If the current value of y (after the change) is less than 0, then the center 
  //  of the circle will appear above the top-edge of the window (moving in the 
  //  direction outside the window)
  if(y < 0)
  {
    //So we will place the center of the circle on the top-edge of the window to 
    //  keep it inside the drawing region
    y = 0;
  }
  //If the current value of y (after the change) is not less than 0, then we check 
  //  whether it is greater than 300 which would place the center of the circle 
  //  below the bottom-edge of the window (also moving outside)
  else if(y > 300)
  {
    //In this case, we will place the center of the circle on the bottom-edge of 
    //  the window to keep it inside the drawing region
    y = 300;
  }
}
